%global selinuxtype targeted

Summary:       A system daemon implementing TPM2 Access Broker and Resource Manager
Name:          tpm2-abrmd
Version:       2.4.1
Release:       5%{?dist}
License:       BSD
URL:           https://github.com/tpm2-software/tpm2-abrmd
Source0:       %{url}/releases/download/%{version}/%{name}-%{version}.tar.gz

BuildRequires: make systemd libtool autoconf-archive pkgconfig(dbus-1)
BuildRequires: pkgconfig(gio-unix-2.0) pkgconfig(tss2-mu) pkgconfig(tss2-sys)
BuildRequires: tpm2-tss-devel pkgconfig(cmocka)

Requires: (%{name}-selinux if selinux-policy-%{selinuxtype})
Requires(pre): tpm2-tss

%{?systemd_requires}

%description
tpm2-abrmd is a system daemon implementing the TPM2 access broker (TAB) and Resource
Manager (RM) spec from the TCG.

%package devel
Summary: Headers, static libraries and package config files of tpm2-abrmd
Requires: %{name} = %{version}-%{release}
Requires: tpm2-tss-devel

%description devel
This package contains headers, static libraries and package config files required to
build applications that use tpm2-abrmd.

%prep
%autosetup -p1 -n %{name}-%{version}

%build
%configure \
    --disable-static \
    --disable-silent-rules \
    --with-systemdsystemunitdir=%{_unitdir} \
    --with-systemdpresetdir=%{_presetdir} \
    --with-dbuspolicydir=%{_datarootdir}/dbus-1/system.d/ \
    %{nil}

%make_build

%install
%make_install
find %{buildroot}%{_libdir} -type f -name \*.la -delete
rm -f %{buildroot}/%{_presetdir}/tpm2-abrmd.preset

%check
%make_build check

%post
%systemd_post tpm2-abrmd.service

%preun
%systemd_preun tpm2-abrmd.service

%postun
%systemd_postun tpm2-abrmd.service

%files
%license LICENSE
%doc README.md CHANGELOG.md
%{_libdir}/libtss2-tcti-tabrmd.so.*
%{_sbindir}/tpm2-abrmd
%{_datarootdir}/dbus-1/system.d/tpm2-abrmd.conf
%{_datarootdir}/dbus-1/system-services/com.intel.tss2.Tabrmd.service
%{_unitdir}/tpm2-abrmd.service
%{_mandir}/man3/Tss2_Tcti_Tabrmd_Init.3*
%{_mandir}/man7/tss2-tcti-tabrmd.7*
%{_mandir}/man8/tpm2-abrmd.8*

%files devel
%{_includedir}/tss2/tss2-tcti-tabrmd.h
%{_libdir}/libtss2-tcti-tabrmd.so
%{_libdir}/pkgconfig/tss2-tcti-tabrmd.pc

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.4.1-5
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Aug 18 2023 cunshunxia <cunshunxia@tencent.com> - 2.4.1-4
- Rebuilt for tpm2-tss 4.0.1

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.4.1-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.4.1-2
- Rebuilt for OpenCloudOS Stream 23

* Tue Dec 20 2022 Shuo Wang <abushwang@tencent.com> - 2.4.1-1
- initial build
